Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.admin
Class AuthCheckFilter

    java.lang.Object
      org.jivesoftware.admin.AuthCheckFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class AuthCheckFilter

extends Object
implements javax.servlet.Filter

A simple filter which checks for the auth token in the user's session. If it's not there the filter will redirect to the login page.

Constructor Summary
`AuthCheckFilter()`

Method Summary
`static void` | `addExclude(String exclude)` Adds a new string that when present in the requested URL will skip the "is logged" checking.
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res, javax.servlet.FilterChain chain)`
`void` | `init(javax.servlet.FilterConfig config)`
`static void` | `removeExclude(String exclude)` Removes a string that when present in the requested URL will skip the "is logged" checking.
`static boolean` | `testURLPassesExclude(String url, String exclude)` Returns true if a URL passes an exclude rule.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthCheckFilter

    public AuthCheckFilter()

Method Detail

### addExclude

    public static void addExclude(String exclude)

  Adds a new string that when present in the requested URL will skip the "is logged" checking.

  Parameters:
    `exclude` - the string to exclude.

### removeExclude

    public static void removeExclude(String exclude)

  Removes a string that when present in the requested URL will skip the "is logged" checking.

  Parameters:
    `exclude` - the string that was being excluded.

### testURLPassesExclude

    public static boolean testURLPassesExclude(String url,
                                               String exclude)

  Returns true if a URL passes an exclude rule.

  Parameters:
    `url` - the URL to test.
    `exclude` - the exclude rule.
  Returns:
    true if the URL passes the exclude test.

### init

    public void init(javax.servlet.FilterConfig config)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### doFilter

    public void doFilter(javax.servlet.ServletRequest req,
                         javax.servlet.ServletResponse res,
                         javax.servlet.FilterChain chain)
                  throws IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `IOException`
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.